<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <View
        android:id="@+id/statusBarBackground"
        android:layout_width="match_parent"
        android:layout_height="24dp"
        android:background="@color/colorPrimaryDark"
        tools:ignore="MissingConstraints" />

    <androidx.appcompat.widget.Toolbar
        android:id="@+id/mToolbar"
        android:layout_width="match_parent"
        android:layout_height="?attr/actionBarSize"
        android:background="@color/colorPrimaryDark"
        app:layout_constraintTop_toBottomOf="@+id/statusBarBackground">

        <ImageView
            android:id="@+id/iv_back"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@drawable/ic_left_back" />

        <ImageView
            android:layout_width="60dp"
            android:layout_height="40dp"
            android:layout_gravity="center"
            android:src="@drawable/ic_yes_partner" />

    </androidx.appcompat.widget.Toolbar>


    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/content_view"
        android:layout_width="match_parent"
        android:layout_height="300dp"
        android:background="@color/colorLightGray"
        app:layout_constraintTop_toBottomOf="@+id/mToolbar"> <!-- 🔥 Set background color -->

        <!-- Full Screen Camera Preview (Hidden Behind Overlay) -->
        <androidx.camera.view.PreviewView
            android:id="@+id/scan_qr"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:scaleType="centerCrop"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <!-- Transparent Frame for Camera (200x200) -->
        <View
            android:id="@+id/frame_overlay"
            android:layout_width="200dp"
            android:layout_height="200dp"
            android:background="@drawable/bg_button_stroke_transparent"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <!-- Overlay (Gray Background) -->
        <View
            android:id="@+id/overlay"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@android:color/transparent"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>


    <com.seatel.mobilehall.util.customview.CustomTextView
        android:id="@+id/tv_scan_out_qr"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/margin_2x_size"
        android:gravity="center_horizontal"
        android:text="Scan Outlet QR code"
        android:textSize="@dimen/large_text_size"
        android:textStyle="bold"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/content_view" />

    <com.seatel.mobilehall.util.customview.CustomTextView
        android:id="@+id/tv_or"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/margin_5x_size"
        android:gravity="center_horizontal"
        android:text="OR"
        android:textSize="@dimen/large_text_size"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tv_scan_out_qr" />

    <com.seatel.mobilehall.util.customview.CustomButton
        android:id="@+id/btn_type_outlet_code"
        android:layout_width="150dp"
        android:layout_height="40dp"
        android:layout_marginTop="@dimen/margin_2x_size"
        android:background="@drawable/bg_box_white_stroke_primary"
        android:gravity="center"
        android:paddingStart="@dimen/margin_2x_size"
        android:paddingEnd="@dimen/margin_2x_size"
        android:text="Type outlet code"
        android:textColor="@color/colorPrimary"
        android:textSize="@dimen/small_text_size"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tv_or" />


</androidx.constraintlayout.widget.ConstraintLayout>